Constants (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.tomcat.dbcp.dbcp2

## Class Constants

- java.lang.Object
- - org.apache.tomcat.dbcp.dbcp2.Constants

-     public class Constants
      extends java.lang.Object

  Constants.
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `JMX_CONNECTION_BASE_EXT` |
    `static java.lang.String` | `JMX_CONNECTION_POOL_BASE_EXT` |
    `static java.lang.String` | `JMX_CONNECTION_POOL_PREFIX` |
    `static java.lang.String` | `JMX_STATEMENT_POOL_BASE_EXT` |
    `static java.lang.String` | `JMX_STATEMENT_POOL_PREFIX` |
    `static java.lang.String` | `KEY_PASSWORD` | JDBC properties and URL key for passwords.
    `static java.lang.String` | `KEY_USER` | JDBC properties and URL key for users.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Constants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JMX_CONNECTION_POOL_BASE_EXT

          public static final java.lang.String JMX_CONNECTION_POOL_BASE_EXT

      See Also:
        Constant Field Values

    - #### JMX_CONNECTION_POOL_PREFIX

          public static final java.lang.String JMX_CONNECTION_POOL_PREFIX

      See Also:
        Constant Field Values

    - #### JMX_CONNECTION_BASE_EXT

          public static final java.lang.String JMX_CONNECTION_BASE_EXT

      See Also:
        Constant Field Values

    - #### JMX_STATEMENT_POOL_BASE_EXT

          public static final java.lang.String JMX_STATEMENT_POOL_BASE_EXT

      See Also:
        Constant Field Values

    - #### JMX_STATEMENT_POOL_PREFIX

          public static final java.lang.String JMX_STATEMENT_POOL_PREFIX

      See Also:
        Constant Field Values

    - #### KEY_PASSWORD

          public static final java.lang.String KEY_PASSWORD

      JDBC properties and URL key for passwords.
      Since:
        2.9.0
      See Also:
        Constant Field Values

    - #### KEY_USER

          public static final java.lang.String KEY_USER

      JDBC properties and URL key for users.
      Since:
        2.9.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()